List Workflow runs
curl --request GET \
--url https://api.openworklabs.com/v1/workflow-runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/workflow-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/workflow-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{
"id": "<string>",
"source": "<string>",
"status": "succeeded",
"errorKind": "<string>",
"errorMessage": "<string>",
"toolCallCount": 0,
"toolCalls": [
{
"name": "<string>"
}
],
"durationMs": 0,
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"orgMembershipId": "<string>",
"workflow": {
"configObjectId": "<string>",
"title": "<string>",
"graph": {
"nodes": [
{
"id": "<string>",
"kind": "input",
"label": "<string>",
"fields": [
"<string>"
]
}
],
"edges": [
{
"from": "<string>",
"to": "<string>",
"label": "<string>",
"kind": "flow"
}
],
"parseError": "<string>"
}
}
}
],
"nextCursor": "<string>"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "enterprise_plan_required",
"feature": "<string>",
"message": "<string>"
}Workflow Runs
List Workflow runs
Lists Workflow run receipts visible to the active organization member, newest first. Pass nextCursor from the previous page as cursor to continue; nextCursor is null on the last page.
GET
/
v1
/
workflow-runs
List Workflow runs
Authorizations
bearerAuthdenApiKey
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Query Parameters
Opaque cursor returned as nextCursor by the previous page. Omit for the first page.
Required string length:
1 - 200Required range:
1 <= x <= 200Was this page helpful?